Bug 1858284 (CVE-2020-14334) - CVE-2020-14334 foreman: unauthorized cache read on RPM-based installations through local user
Summary: CVE-2020-14334 foreman: unauthorized cache read on RPM-based installations th...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-14334
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1858305 1858306 1858307 1858308
Blocks: 1857656
TreeView+ depends on / blocked
 
Reported: 2020-07-17 12:15 UTC by Yadnyawalk Tale
Modified: 2021-12-14 18:47 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Red Hat Satellite. An attacker could gain access to cache files further allowing access to cached credentials that could help the attacker to gain complete control of the Satellite instance. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-09-30 20:21:16 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4127 0 None None None 2020-09-30 13:12:07 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:57:15 UTC

Description Yadnyawalk Tale 2020-07-17 12:15:09 UTC
Red Hat Satellite 6 allows local user of instance to read cache files. These credentials give full access via the API and local user on the foreman server can gain complete access of the instance.

Comment 2 Yadnyawalk Tale 2020-07-17 12:36:35 UTC
Mitigation:

This flaw can be mitigated by manually changing the directory permissions to remove readable bits for the others:
# chmod 0750 /run/foreman

Comment 3 Yadnyawalk Tale 2020-07-17 13:56:32 UTC
Acknowledgments:

Name: Foreman project
Upstream: Ewoud Kohl van Wijngaarden (Red Hat)

Comment 8 Lukas Zapletal 2020-07-22 14:01:47 UTC
Please ignore comment 5 and comment 6 as these were meant for https://bugzilla.redhat.com/show_bug.cgi?id=1858302

Comment 18 errata-xmlrpc 2020-09-30 13:12:10 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.7 for RHEL 7

Via RHSA-2020:4127 https://access.redhat.com/errata/RHSA-2020:4127

Comment 19 Product Security DevOps Team 2020-09-30 20:21:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14334

Comment 20 errata-xmlrpc 2020-10-27 12:57:12 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.7 for RHEL 8

Via RHSA-2020:4366 https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.